/*
 *  GUI/Widgets/GradientBox.cs
 *  Copyright (C) 2007 by Marcin Krystian Krzywonos
 *  All rights reserved!
 */


using System;
using Gdk;
using Cairo;


namespace Incollector.GUI.Widgets {
	
	public class GradientBox : Gtk.HBox {
	
		protected Cairo.Color Color1, Color2;
		
		public GradientBox (Cairo.Color color1, Cairo.Color color2)
		{
			this.Color1 = color1;
			this.Color2 = color2;
			this.AppPaintable = true;
		}
		
		
		protected override bool OnExposeEvent (EventExpose evnt)
		{
			Cairo.Context context = Gdk.CairoHelper.Create (this.GdkWindow);
			int x1, y1, x2, y2;
			x1 = this.Allocation.X;
			y1 = this.Allocation.Y;
			x2 = x1 + this.Allocation.Width;
			y2 = y1 + this.Allocation.Height;
			
			context.Rectangle (x1, y1, x2, y2);
			Cairo.Gradient grad = new Cairo.LinearGradient (0, y1, 0, y2);
			grad.AddColorStop (0.0, Color1);
			grad.AddColorStop (1.0, Color2);
			
			context.Pattern = grad;
			context.Fill ();
			
			return base.OnExposeEvent (evnt);
		}
	}
}
